Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class AbstractKeyBasedMap.EntrySet.Entry

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.SimpleMapEntry
com.tangosol.util.AbstractKeyBasedMap.EntrySet.Entry`

All Implemented Interfaces:
  InvocableMap.Entry, MapTrigger.Entry, QueryMap.Entry, java.io.Serializable, java.lang.Cloneable, java.util.Map.Entry

Direct Known Subclasses:
  ObservableSplittingBackingCache.EntrySet.Entry, SerializationCache.EntrySet.Entry

Enclosing class:
  AbstractKeyBasedMap.EntrySet

      protected class AbstractKeyBasedMap.EntrySet.Entry

extends SimpleMapEntry

A Map Entry implementation that defers its value acquisition from the containing map (via `Map.get(Object)`) if the Entry is constructed with a null value.

Field Summary

Fields inherited from class com.tangosol.util.SimpleMapEntry
`m_oKey, m_oOrigValue, m_oValue, NO_VALUE`

Constructor Summary
`AbstractKeyBasedMap.EntrySet.Entry(java.lang.Object oKey, java.lang.Object oValue)` Construct an Entry.

Method Summary
`java.lang.Object` | `getValue()` Returns the value corresponding to this entry.
`int` | `hashCode()` Returns the hash code value for this map entry.
`java.lang.Object` | `setValue(java.lang.Object oValue)` Replaces the value corresponding to this entry with the specified value (optional operation).

Methods inherited from class com.tangosol.util.SimpleMapEntry
`clone, equals, extract, getKey, getOriginalValue, isOriginalPresent, isPresent, remove, setValue, toString, update`

Constructor Detail

### AbstractKeyBasedMap.EntrySet.Entry

    public AbstractKeyBasedMap.EntrySet.Entry(java.lang.Object oKey,
                                              java.lang.Object oValue)

  Construct an Entry.
  Parameters:
    `oKey` - the Entry key
    `oValue` - the Entry value (optional)

Method Detail

### getValue

    public java.lang.Object getValue()

  Returns the value corresponding to this entry.
  Specified by:
    `getValue` in interface `InvocableMap.Entry`
  Specified by:
    `getValue` in interface `java.util.Map.Entry`
  Overrides:
    `getValue` in class `SimpleMapEntry`
  Returns:
    the value corresponding to this entry

### setValue

    public java.lang.Object setValue(java.lang.Object oValue)

  Replaces the value corresponding to this entry with the specified value (optional operation). (Writes through to the map.)
  Specified by:
    `setValue` in interface `InvocableMap.Entry`
  Specified by:
    `setValue` in interface `java.util.Map.Entry`
  Overrides:
    `setValue` in class `SimpleMapEntry`
  Parameters:
    `oValue` - new value to be stored in this entry
  Returns:
    old value corresponding to the entry

### hashCode

    public int hashCode()

  Returns the hash code value for this map entry. The hash code of a map entry `e` is defined to be:

           (e.getKey()==null   ? 0 : e.getKey().hashCode()) ^
           (e.getValue()==null ? 0 : e.getValue().hashCode())

  This ensures that `e1.equals(e2)` implies that `e1.hashCode()==e2.hashCode()` for any two Entries `e1` and `e2`, as required by the general contract of `Object.hashCode`.
  Specified by:
    `hashCode` in interface `java.util.Map.Entry`
  Overrides:
    `hashCode` in class `SimpleMapEntry`
  Returns:
    the hash code value for this map entry.
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`, `Map.Entry.equals(Object)`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.